data:extend(
{
  {
    type = "beam",
    name = "laser-beam-red",
    flags = {"not-on-map"},
    width = 0.5,
    damage_interval = 20,
	light = {intensity = 0.5, size = 10},
    working_sound =
    {
      {
        filename = "__Laser_Beam_Turret__/laser-beam-01.ogg",
        volume = 0.9
      },
	  {
        filename = "__Laser_Beam_Turret__/laser-beam-02.ogg",
        volume = 0.9
      },
	  {
        filename = "__Laser_Beam_Turret__/laser-beam-03.ogg",
        volume = 0.9
      }
	  
    },
    action =
    {
      type = "direct",
      action_delivery =
      {
        type = "instant",
        target_effects =
        {
          {
            type = "damage",
            damage = { amount = 20, type = "laser"}
          }
        }
      }
    },
    head =
    {
		  filename = "__Laser_Beam_Turret__/laser-beam-head-2.png",
		  line_length = 16,
		  tint = {r=1.0, g=0.0, b=0.0},
		  frame_count = 16,
		  width = 45,
		  height = 1,
		  priority = "high",
		  animation_speed = 0.5,
		  blend_mode = "additive-soft"
		},
    tail =
    {
		  filename = "__Laser_Beam_Turret__/laser-beam-tail-3.png",
		  line_length = 16,
		  tint = {r=1.0, g=0.0, b=0.0},
		  frame_count = 16,
		  width = 48,
		  height = 24,
		  priority = "high",
		  animation_speed = 0.5,
		  blend_mode = "additive-soft"
		},
    body =
    {
      {
		  filename = "__Laser_Beam_Turret__/laser-beam-body-2.png",
		  line_length = 16,
		  tint = {r=1.0, g=0.0, b=0.0},
		  frame_count = 16,
		  width = 48,
		  height = 24,
		  priority = "high",
		  animation_speed = 0.5,
		  blend_mode = "additive-soft"
		},
      
    }
  },
	{
    type = "electric-turret",
    name = "laser-turret-red",
    icon = "__base__/graphics/icons/laser-turret.png",
    flags = { "placeable-player", "placeable-enemy", "player-creation"},
    minable = { mining_time = 0.5, result = "laser-turret" },
    max_health = 1000,
    corpse = "medium-remnants",
    collision_box = {{ -0.7, -0.7}, {0.7, 0.7}},
    selection_box = {{ -1, -1}, {1, 1}},
    rotation_speed = 0.02,
    preparing_speed = 0.05,
    dying_explosion = "medium-explosion",
    folding_speed = 0.05,
    energy_source =
    {
      type = "electric",
      buffer_capacity = "801kJ",
      input_flow_limit = "4800kW",
      drain = "24kW",
      usage_priority = "primary-input"
    },
    folded_animation =
    {
      layers =
      {
        laser_turret_extension{frame_count=1, line_length = 1},
        laser_turret_extension_shadow{frame_count=1, line_length=1},
        laser_turret_extension_mask{frame_count=1, line_length=1}
      }
    },
    preparing_animation =
    {
      layers =
      {
        laser_turret_extension{},
        laser_turret_extension_shadow{},
        laser_turret_extension_mask{}
      }
    },
    prepared_animation =
    {
      layers =
      {
        {
          filename = "__base__/graphics/entity/laser-turret/laser-turret-gun.png",
          line_length = 8,
          width = 68,
          height = 68,
          frame_count = 1,
          axially_symmetrical = false,
          direction_count = 64,
          shift = {0.0625, -1}
        },
        {
          filename = "__base__/graphics/entity/laser-turret/laser-turret-gun-mask.png",
          line_length = 8,
          width = 54,
          height = 44,
          frame_count = 1,
          axially_symmetrical = false,
          apply_runtime_tint = true,
          direction_count = 64,
          shift = {0.0625, -1.3125},
        },
        {
          filename = "__base__/graphics/entity/laser-turret/laser-turret-gun-shadow.png",
          line_length = 8,
          width = 88,
          height = 52,
          frame_count = 1,
          axially_symmetrical = false,
          direction_count = 64,
          draw_as_shadow = true,
          shift = {1.59375, 0}
        }
      }
    },
    folding_animation = 
    {
      layers =
      {
        laser_turret_extension{run_mode = "backward"},
        laser_turret_extension_shadow{run_mode = "backward"},
        laser_turret_extension_mask{run_mode = "backward"}
      }
    },
    base_picture =
    {
      layers =
      {
        {
          filename = "__base__/graphics/entity/laser-turret/laser-turret-base.png",
          priority = "high",
          width = 98,
          height = 82,
          axially_symmetrical = false,
          direction_count = 1,
          shift = { 0.109375, 0.03125 }
        },
        {
          filename = "__base__/graphics/entity/laser-turret/laser-turret-base-mask.png",
          line_length = 1,
          width = 54,
          height = 46,
          frame_count = 1,
          axially_symmetrical = false,
          apply_runtime_tint = true,
          direction_count = 1,
          shift = {0.046875, -0.109375},
        },
      }
    },
    vehicle_impact_sound =  { filename = "__base__/sound/car-metal-impact.ogg", volume = 0.65 },
   attack_parameters =
    {
      type = "beam",
      ammo_category = "electric",
      cooldown = 20,
	  --projectile_center = {0, -0.2},
      --projectile_creation_distance = 1.4,
      range = 25,
	  sound =
	  {
      {
        filename = "__Laser_Beam_Turret__/laser-beam-01.ogg",
        volume = 0.9
      },
	  {
        filename = "__Laser_Beam_Turret__/laser-beam-02.ogg",
        volume = 0.9
      },
	  {
        filename = "__Laser_Beam_Turret__/laser-beam-03.ogg",
        volume = 0.9
      }
	  
    },
      ammo_type =
      {
        category = "laser-turret",
		energy_consumption = "800kJ",
        action =
        {
          type = "direct",
          action_delivery =
          {
            type = "beam",
            beam = "laser-beam-red",
            max_length = 25,
            duration = 20,
            source_offset = {0, -1.3},
          }
        }
      }
    },
      --sound = make_laser_sounds()
    }

   
  })
  
  data:extend(
{
  {
    type = "beam",
    name = "laser-beam-blue",
    flags = {"not-on-map"},
    width = 0.5,
    damage_interval = 20,
	light = {intensity = 0.5, size = 10},
    working_sound =
    {
      {
        filename = "__Laser_Beam_Turret__/laser-beam-01.ogg",
        volume = 0.9
      },
	  {
        filename = "__Laser_Beam_Turret__/laser-beam-02.ogg",
        volume = 0.9
      },
	  {
        filename = "__Laser_Beam_Turret__/laser-beam-03.ogg",
        volume = 0.9
      }
	  
    },
    action =
    {
      type = "direct",
      action_delivery =
      {
        type = "instant",
        target_effects =
        {
          {
            type = "damage",
            damage = { amount = 20, type = "laser"}
          }
        }
      }
    },
    head =
    {
		  filename = "__Laser_Beam_Turret__/laser-beam-head-2.png",
		  line_length = 16,
		  tint = {r=0.2, g=0.3, b=1.0},
		  frame_count = 16,
		  width = 45,
		  height = 1,
		  priority = "high",
		  animation_speed = 0.5,
		  blend_mode = "additive-soft"
		},
    tail =
    {
		  filename = "__Laser_Beam_Turret__/laser-beam-tail-3.png",
		  line_length = 16,
		  tint = {r=0.2, g=0.3, b=1.0},
		  frame_count = 16,
		  width = 48,
		  height = 24,
		  priority = "high",
		  animation_speed = 0.5,
		  blend_mode = "additive-soft"
		},
    body =
    {
      {
		  filename = "__Laser_Beam_Turret__/laser-beam-body-2.png",
		  line_length = 16,
		  tint = {r=0.2, g=0.3, b=1.0},
		  frame_count = 16,
		  width = 48,
		  height = 24,
		  priority = "high",
		  animation_speed = 0.5,
		  blend_mode = "additive-soft"
		},
      
    }
  },
	{
    type = "electric-turret",
    name = "laser-turret-blue",
    icon = "__base__/graphics/icons/laser-turret.png",
    flags = { "placeable-player", "placeable-enemy", "player-creation"},
    minable = { mining_time = 0.5, result = "laser-turret" },
    max_health = 1000,
    corpse = "medium-remnants",
    collision_box = {{ -0.7, -0.7}, {0.7, 0.7}},
    selection_box = {{ -1, -1}, {1, 1}},
    rotation_speed = 0.02,
    preparing_speed = 0.05,
    dying_explosion = "medium-explosion",
    folding_speed = 0.05,
    energy_source =
    {
      type = "electric",
      buffer_capacity = "801kJ",
      input_flow_limit = "4800kW",
      drain = "24kW",
      usage_priority = "primary-input"
    },
    folded_animation =
    {
      layers =
      {
        laser_turret_extension{frame_count=1, line_length = 1},
        laser_turret_extension_shadow{frame_count=1, line_length=1},
        laser_turret_extension_mask{frame_count=1, line_length=1}
      }
    },
    preparing_animation =
    {
      layers =
      {
        laser_turret_extension{},
        laser_turret_extension_shadow{},
        laser_turret_extension_mask{}
      }
    },
    prepared_animation =
    {
      layers =
      {
        {
          filename = "__base__/graphics/entity/laser-turret/laser-turret-gun.png",
          line_length = 8,
          width = 68,
          height = 68,
          frame_count = 1,
          axially_symmetrical = false,
          direction_count = 64,
          shift = {0.0625, -1}
        },
        {
          filename = "__base__/graphics/entity/laser-turret/laser-turret-gun-mask.png",
          line_length = 8,
          width = 54,
          height = 44,
          frame_count = 1,
          axially_symmetrical = false,
          apply_runtime_tint = true,
          direction_count = 64,
          shift = {0.0625, -1.3125},
        },
        {
          filename = "__base__/graphics/entity/laser-turret/laser-turret-gun-shadow.png",
          line_length = 8,
          width = 88,
          height = 52,
          frame_count = 1,
          axially_symmetrical = false,
          direction_count = 64,
          draw_as_shadow = true,
          shift = {1.59375, 0}
        }
      }
    },
    folding_animation = 
    {
      layers =
      {
        laser_turret_extension{run_mode = "backward"},
        laser_turret_extension_shadow{run_mode = "backward"},
        laser_turret_extension_mask{run_mode = "backward"}
      }
    },
    base_picture =
    {
      layers =
      {
        {
          filename = "__base__/graphics/entity/laser-turret/laser-turret-base.png",
          priority = "high",
          width = 98,
          height = 82,
          axially_symmetrical = false,
          direction_count = 1,
          shift = { 0.109375, 0.03125 }
        },
        {
          filename = "__base__/graphics/entity/laser-turret/laser-turret-base-mask.png",
          line_length = 1,
          width = 54,
          height = 46,
          frame_count = 1,
          axially_symmetrical = false,
          apply_runtime_tint = true,
          direction_count = 1,
          shift = {0.046875, -0.109375},
        },
      }
    },
    vehicle_impact_sound =  { filename = "__base__/sound/car-metal-impact.ogg", volume = 0.65 },
   attack_parameters =
    {
      type = "beam",
      ammo_category = "electric",
      cooldown = 20,
	  --projectile_center = {0, -0.2},
      --projectile_creation_distance = 1.4,
      range = 25,
	  sound =
	  {
      {
        filename = "__Laser_Beam_Turret__/laser-beam-01.ogg",
        volume = 0.9
      },
	  {
        filename = "__Laser_Beam_Turret__/laser-beam-02.ogg",
        volume = 0.9
      },
	  {
        filename = "__Laser_Beam_Turret__/laser-beam-03.ogg",
        volume = 0.9
      }
	  
    },
      ammo_type =
      {
        category = "laser-turret",
		energy_consumption = "800kJ",
        action =
        {
          type = "direct",
          action_delivery =
          {
            type = "beam",
            beam = "laser-beam-blue",
            max_length = 25,
            duration = 20,
            source_offset = {0, -1.3},
          }
        }
      }
    },
      --sound = make_laser_sounds()
    }

   
  })
  
    data:extend(
{
  {
    type = "beam",
    name = "laser-beam-purple",
    flags = {"not-on-map"},
    width = 0.5,
    damage_interval = 20,
	light = {intensity = 0.5, size = 10},
    working_sound =
    {
      {
        filename = "__Laser_Beam_Turret__/laser-beam-01.ogg",
        volume = 0.9
      },
	  {
        filename = "__Laser_Beam_Turret__/laser-beam-02.ogg",
        volume = 0.9
      },
	  {
        filename = "__Laser_Beam_Turret__/laser-beam-03.ogg",
        volume = 0.9
      }
	  
    },
    action =
    {
      type = "direct",
      action_delivery =
      {
        type = "instant",
        target_effects =
        {
          {
            type = "damage",
            damage = { amount = 20, type = "laser"}
          }
        }
      }
    },
    head =
    {
		  filename = "__Laser_Beam_Turret__/laser-beam-head-2.png",
		  line_length = 16,
		  tint = {r=0.6, g=0.0, b=1.0},
		  frame_count = 16,
		  width = 48,
		  height = 1,
		  priority = "high",
		  animation_speed = 0.5,
		  blend_mode = "additive-soft"
		},
    tail =
    {
		  filename = "__Laser_Beam_Turret__/laser-beam-tail-3.png",
		  line_length = 16,
		  tint = {r=0.6, g=0.0, b=1},
		  frame_count = 16,
		  width = 48,
		  height = 24,
		  priority = "high",
		  animation_speed = 0.5,
		  blend_mode = "additive-soft"
		},
    body =
    {
      {
		  filename = "__Laser_Beam_Turret__/laser-beam-body-2.png",
		  line_length = 16,
		  tint = {r=0.6, g=0.0, b=1.0},
		  frame_count = 16,
		  width = 48,
		  height = 24,
		  priority = "high",
		  animation_speed = 0.5,
		  blend_mode = "additive-soft"
		},
      
    }
  },
	{
    type = "electric-turret",
    name = "laser-turret-purple",
    icon = "__base__/graphics/icons/laser-turret.png",
    flags = { "placeable-player", "placeable-enemy", "player-creation"},
    minable = { mining_time = 0.5, result = "laser-turret" },
    max_health = 1000,
    corpse = "medium-remnants",
    collision_box = {{ -0.7, -0.7}, {0.7, 0.7}},
    selection_box = {{ -1, -1}, {1, 1}},
    rotation_speed = 0.02,
    preparing_speed = 0.05,
    dying_explosion = "medium-explosion",
    folding_speed = 0.05,
    energy_source =
    {
      type = "electric",
      buffer_capacity = "801kJ",
      input_flow_limit = "4800kW",
      drain = "24kW",
      usage_priority = "primary-input"
    },
    folded_animation =
    {
      layers =
      {
        laser_turret_extension{frame_count=1, line_length = 1},
        laser_turret_extension_shadow{frame_count=1, line_length=1},
        laser_turret_extension_mask{frame_count=1, line_length=1}
      }
    },
    preparing_animation =
    {
      layers =
      {
        laser_turret_extension{},
        laser_turret_extension_shadow{},
        laser_turret_extension_mask{}
      }
    },
    prepared_animation =
    {
      layers =
      {
        {
          filename = "__base__/graphics/entity/laser-turret/laser-turret-gun.png",
          line_length = 8,
          width = 68,
          height = 68,
          frame_count = 1,
          axially_symmetrical = false,
          direction_count = 64,
          shift = {0.0625, -1}
        },
        {
          filename = "__base__/graphics/entity/laser-turret/laser-turret-gun-mask.png",
          line_length = 8,
          width = 54,
          height = 44,
          frame_count = 1,
          axially_symmetrical = false,
          apply_runtime_tint = true,
          direction_count = 64,
          shift = {0.0625, -1.3125},
        },
        {
          filename = "__base__/graphics/entity/laser-turret/laser-turret-gun-shadow.png",
          line_length = 8,
          width = 88,
          height = 52,
          frame_count = 1,
          axially_symmetrical = false,
          direction_count = 64,
          draw_as_shadow = true,
          shift = {1.59375, 0}
        }
      }
    },
    folding_animation = 
    {
      layers =
      {
        laser_turret_extension{run_mode = "backward"},
        laser_turret_extension_shadow{run_mode = "backward"},
        laser_turret_extension_mask{run_mode = "backward"}
      }
    },
    base_picture =
    {
      layers =
      {
        {
          filename = "__base__/graphics/entity/laser-turret/laser-turret-base.png",
          priority = "high",
          width = 98,
          height = 82,
          axially_symmetrical = false,
          direction_count = 1,
          shift = { 0.109375, 0.03125 }
        },
        {
          filename = "__base__/graphics/entity/laser-turret/laser-turret-base-mask.png",
          line_length = 1,
          width = 54,
          height = 46,
          frame_count = 1,
          axially_symmetrical = false,
          apply_runtime_tint = true,
          direction_count = 1,
          shift = {0.046875, -0.109375},
        },
      }
    },
    vehicle_impact_sound =  { filename = "__base__/sound/car-metal-impact.ogg", volume = 0.65 },
   attack_parameters =
    {
      type = "beam",
      ammo_category = "electric",
      cooldown = 20,
	  --projectile_center = {0, -0.2},
      --projectile_creation_distance = 1.4,
      range = 25,
	  sound =
	  {
      {
        filename = "__Laser_Beam_Turret__/laser-beam-01.ogg",
        volume = 0.9
      },
	  {
        filename = "__Laser_Beam_Turret__/laser-beam-02.ogg",
        volume = 0.9
      },
	  {
        filename = "__Laser_Beam_Turret__/laser-beam-03.ogg",
        volume = 0.9
      }
	  
    },
      ammo_type =
      {
        category = "laser-turret",
		energy_consumption = "800kJ",
        action =
        {
          type = "direct",
          action_delivery =
          {
            type = "beam",
            beam = "laser-beam-purple",
            max_length = 25,
            duration = 20,
            source_offset = {0, -1.3},
          }
        }
      }
    },
      --sound = make_laser_sounds()
    }

   
  })
  
    data:extend(
{
  {
    type = "beam",
    name = "laser-beam-green",
    flags = {"not-on-map"},
    width = 0.5,
    damage_interval = 20,
	light = {intensity = 0.5, size = 10},
    working_sound =
    {
      {
        filename = "__Laser_Beam_Turret__/laser-beam-01.ogg",
        volume = 0.9
      },
	  {
        filename = "__Laser_Beam_Turret__/laser-beam-02.ogg",
        volume = 0.9
      },
	  {
        filename = "__Laser_Beam_Turret__/laser-beam-03.ogg",
        volume = 0.9
      }
	  
    },
    action =
    {
      type = "direct",
      action_delivery =
      {
        type = "instant",
        target_effects =
        {
          {
            type = "damage",
            damage = { amount = 20, type = "laser"}
          }
        }
      }
    },
    head =
    {
		  filename = "__Laser_Beam_Turret__/laser-beam-head-2.png",
		  line_length = 16,
		  tint = {r=0.0, g=1.0, b=0.0},
		  frame_count = 16,
		  width = 45,
		  height = 1,
		  priority = "high",
		  animation_speed = 0.5,
		  blend_mode = "additive-soft"
		},
    tail =
    {
		  filename = "__Laser_Beam_Turret__/laser-beam-tail-3.png",
		  line_length = 16,
		  tint = {r=0.0, g=1.0, b=0.0},
		  frame_count = 16,
		  width = 48,
		  height = 24,
		  priority = "high",
		  animation_speed = 0.5,
		  blend_mode = "additive-soft"
		},
    body =
    {
      {
		  filename = "__Laser_Beam_Turret__/laser-beam-body-2.png",
		  line_length = 16,
		  tint = {r=0.0, g=1.0, b=0.0},
		  frame_count = 16,
		  width = 48,
		  height = 24,
		  priority = "high",
		  animation_speed = 0.5,
		  blend_mode = "additive-soft"
		},
      
    }
  },
	{
    type = "electric-turret",
    name = "laser-turret-green",
    icon = "__base__/graphics/icons/laser-turret.png",
    flags = { "placeable-player", "placeable-enemy", "player-creation"},
    minable = { mining_time = 0.5, result = "laser-turret" },
    max_health = 1000,
    corpse = "medium-remnants",
    collision_box = {{ -0.7, -0.7}, {0.7, 0.7}},
    selection_box = {{ -1, -1}, {1, 1}},
    rotation_speed = 0.02,
    preparing_speed = 0.05,
    dying_explosion = "medium-explosion",
    folding_speed = 0.05,
    energy_source =
    {
      type = "electric",
      buffer_capacity = "801kJ",
      input_flow_limit = "4800kW",
      drain = "24kW",
      usage_priority = "primary-input"
    },
    folded_animation =
    {
      layers =
      {
        laser_turret_extension{frame_count=1, line_length = 1},
        laser_turret_extension_shadow{frame_count=1, line_length=1},
        laser_turret_extension_mask{frame_count=1, line_length=1}
      }
    },
    preparing_animation =
    {
      layers =
      {
        laser_turret_extension{},
        laser_turret_extension_shadow{},
        laser_turret_extension_mask{}
      }
    },
    prepared_animation =
    {
      layers =
      {
        {
          filename = "__base__/graphics/entity/laser-turret/laser-turret-gun.png",
          line_length = 8,
          width = 68,
          height = 68,
          frame_count = 1,
          axially_symmetrical = false,
          direction_count = 64,
          shift = {0.0625, -1}
        },
        {
          filename = "__base__/graphics/entity/laser-turret/laser-turret-gun-mask.png",
          line_length = 8,
          width = 54,
          height = 44,
          frame_count = 1,
          axially_symmetrical = false,
          apply_runtime_tint = true,
          direction_count = 64,
          shift = {0.0625, -1.3125},
        },
        {
          filename = "__base__/graphics/entity/laser-turret/laser-turret-gun-shadow.png",
          line_length = 8,
          width = 88,
          height = 52,
          frame_count = 1,
          axially_symmetrical = false,
          direction_count = 64,
          draw_as_shadow = true,
          shift = {1.59375, 0}
        }
      }
    },
    folding_animation = 
    {
      layers =
      {
        laser_turret_extension{run_mode = "backward"},
        laser_turret_extension_shadow{run_mode = "backward"},
        laser_turret_extension_mask{run_mode = "backward"}
      }
    },
    base_picture =
    {
      layers =
      {
        {
          filename = "__base__/graphics/entity/laser-turret/laser-turret-base.png",
          priority = "high",
          width = 98,
          height = 82,
          axially_symmetrical = false,
          direction_count = 1,
          shift = { 0.109375, 0.03125 }
        },
        {
          filename = "__base__/graphics/entity/laser-turret/laser-turret-base-mask.png",
          line_length = 1,
          width = 54,
          height = 46,
          frame_count = 1,
          axially_symmetrical = false,
          apply_runtime_tint = true,
          direction_count = 1,
          shift = {0.046875, -0.109375},
        },
      }
    },
    vehicle_impact_sound =  { filename = "__base__/sound/car-metal-impact.ogg", volume = 0.65 },
   attack_parameters =
    {
      type = "beam",
      ammo_category = "electric",
      cooldown = 20,
	  --projectile_center = {0, -0.2},
      --projectile_creation_distance = 1.4,
      range = 25,
	  sound =
	  {
      {
        filename = "__Laser_Beam_Turret__/laser-beam-01.ogg",
        volume = 0.9
      },
	  {
        filename = "__Laser_Beam_Turret__/laser-beam-02.ogg",
        volume = 0.9
      },
	  {
        filename = "__Laser_Beam_Turret__/laser-beam-03.ogg",
        volume = 0.9
      }
	  
    },
      ammo_type =
      {
        category = "laser-turret",
		energy_consumption = "800kJ",
        action =
        {
          type = "direct",
          action_delivery =
          {
            type = "beam",
            beam = "laser-beam-green",
            max_length = 25,
            duration = 20,
            source_offset = {0, -1.3},
          }
        }
      }
    },
      --sound = make_laser_sounds()
    }

   
  })
  
  data:extend(
{
  {
    type = "item",
    name = "laser-turret-purple",
    icon = "__base__/graphics/icons/laser-turret.png",
    flags = {"goes-to-quickbar"},
    subgroup = "defensive-structure",
    order = "b[turret]-b[laser-turret]",
    place_result = "laser-turret-purple",
    stack_size = 50
  },
  {
    type = "item",
    name = "laser-turret-red",
    icon = "__base__/graphics/icons/laser-turret.png",
    flags = {"goes-to-quickbar"},
    subgroup = "defensive-structure",
    order = "b[turret]-b[laser-turret]",
    place_result = "laser-turret-red",
    stack_size = 50
  },
  {
    type = "item",
    name = "laser-turret-green",
    icon = "__base__/graphics/icons/laser-turret.png",
    flags = {"goes-to-quickbar"},
    subgroup = "defensive-structure",
    order = "b[turret]-b[laser-turret]",
    place_result = "laser-turret-green",
    stack_size = 50
  },
  {
    type = "item",
    name = "laser-turret-blue",
    icon = "__base__/graphics/icons/laser-turret.png",
    flags = {"goes-to-quickbar"},
    subgroup = "defensive-structure",
    order = "b[turret]-b[laser-turret]",
    place_result = "laser-turret-blue",
    stack_size = 50
  }
}
)